For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Attachment object
          • GET/attachments
          • POST/attachments
          • GET/attachments/{id}
          • GET/attachments/{id}/download
          • GET/attachments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAttachments

/attachments

POST
/ticketing/v1/attachments
POST
/api/ticketing/v1/attachments
$curl -X POST https://api.merge.dev/api/ticketing/v1/attachments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "17a54124-287f-494d-965e-3c5b330c9a68",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "file_name": "Screenshot.png",
8 "ticket": "0958cbc6-6040-430a-848e-aafacbadf4ae",
9 "file_url": "http://alturl.com/p749b",
10 "content_type": "jpeg",
11 "uploaded_by": "28b54125-287f-494d-965e-3c5b330c9a68",
12 "remote_created_at": "2022-11-10T00:00:00Z",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/platform-endpoint",
25 "data": null
26 }
27 ]
28 },
29 "warnings": [
30 {
31 "title": "Unrecognized Field",
32 "detail": "An unrecognized field, age, was passed in with request data.",
33 "problem_type": "UNRECOGNIZED_FIELD",
34 "source": {
35 "pointer": "/age"
36 },
37 "block_merge_link": true,
38 "raw_error": "string",
39 "error_code": 1
40 }
41 ],
42 "errors": [
43 {
44 "title": "Missing Required Field",
45 "detail": "custom_fields is a required field on model.",
46 "problem_type": "MISSING_REQUIRED_FIELD",
47 "source": {
48 "pointer": "/model/custom_fields"
49 },
50 "block_merge_link": true,
51 "raw_error": "string",
52 "error_code": 1
53 }
54 ],
55 "logs": [
56 {
57 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
58 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
59 "log_summary": {
60 "url": "www.exampleintegration.com/api/v1/exampleapi",
61 "method": "POST",
62 "status_code": 200
63 }
64 }
65 ]
66}

Creates an Attachment object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/attachments

Next

/attachments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Attachment object is used to represent an attachment for a ticket.

Usage Example

TODO

Response

modelobject

Description

The Attachment object is used to represent an attachment for a ticket.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects